﻿using RealisticHelloWorld.Domain.Services;
using RealisticHelloWorld.ViewModels;

namespace RealisticHelloWorld.Tests;



public class CounterTest
{
    [Fact]
    public void Increment_counter_by_one_using_command()
    {
        // arrange
        var expected = 1;
        var vm = new Counter(new NumberMapper());

        // verify the starting count
        Assert.True(vm.Count == 0, "Starting count should have been zero.");

        // act
        vm.IncreaseCounterCommand.Execute(null);

        // Verify test end value
        Assert.Equal(expected, vm.Count);
    }
}