﻿using RealisticHelloWorld.Domain.Models;

namespace RealisticHelloWorld.Tests;

public class NumberMapTest
{
    [Fact]
    public void ReturnWordsForNumbers()
    {
        // prepare
        var map = new NumberMap
        {
            // act
            Map = new List<NumberMapItem>()
            {
                new() { Number = 0, Word = "zero"},
                new() { Number = 1, Word = "one"},
                new() { Number = 2, Word = "two"},
                new() { Number = 3, Word = "three"},
                new() { Number = 4, Word = "four"},
                new() { Number = 5, Word = "five"},
                new() { Number = 6, Word = "six"},
                new() { Number = 7, Word = "seven"},
                new() { Number = 8, Word = "eight"},
                new() { Number = 9, Word = "nine"},
                new() { Number = 10, Word ="ten"}
            }
        };

        // assert
        Assert.Equal("zero", map.ToWord(0));
        Assert.Equal("one", map.ToWord(1));
        Assert.Equal("two", map.ToWord(2));
        Assert.Equal("three", map.ToWord(3));
        Assert.Equal("four", map.ToWord(4));
        Assert.Equal("five", map.ToWord(5));
        Assert.Equal("six", map.ToWord(6));
        Assert.Equal("seven", map.ToWord(7));
        Assert.Equal("eight", map.ToWord(8));
        Assert.Equal("nine", map.ToWord(9));
        Assert.Equal("ten", map.ToWord(10));
    }

    [Fact]
    public void ReturnNullIfNumberNotFound()
    {
        // arrange
        var map = new NumberMap();

        // act
        // assert
        Assert.Empty(map.Map);
        Assert.Null(map.ToWord(0));

    }
}