﻿using RealisticHelloWorld.Domain.Interfaces;
using RealisticHelloWorld.Domain.Services;
using RealisticHelloWorld.ViewModels;
using RealisticHelloWorld.Views;

namespace RealisticHelloWorld;

public static class MauiProgram
{
	public static MauiApp CreateMauiApp()
	{
		var builder = MauiApp.CreateBuilder();
		builder
			.UseMauiApp<App>()
			.ConfigureFonts(fonts =>
			{
				fonts.AddFont("OpenSans-Regular.ttf", "OpenSansRegular");
				fonts.AddFont("OpenSans-Semibold.ttf", "OpenSansSemibold");
			});
        builder.Services.AddSingleton<INumberMapper>(new NumberMapper());
		builder.Services.AddSingleton<Counter>();
        builder.Services.AddSingleton<MainPage>();

		return builder.Build();
	}
}
